This documentation is for a release that is no longer maintained.
You can select a different version or view all RHACS documentation.Chapter 36. Image Service
36.1. Image Service Copy linkLink copied to clipboard!
36.1.1. CountImages Copy linkLink copied to clipboard!
GET /v1/imagescount
CountImages returns a count of images that match the input query.
36.1.1.1. Description Copy linkLink copied to clipboard!
36.1.1.2. Parameters Copy linkLink copied to clipboard!
36.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
36.1.1.3. Return Type Copy linkLink copied to clipboard!
36.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
36.1.1.6. Samples Copy linkLink copied to clipboard!
36.1.2. DeleteImages Copy linkLink copied to clipboard!
DELETE /v1/images
DeleteImage removes the images based on a query
36.1.2.1. Description Copy linkLink copied to clipboard!
36.1.2.2. Parameters Copy linkLink copied to clipboard!
36.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null | ||
| confirm | - | null |
36.1.2.3. Return Type Copy linkLink copied to clipboard!
36.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
36.1.2.6. Samples Copy linkLink copied to clipboard!
36.1.3. ExportImages Copy linkLink copied to clipboard!
GET /v1/export/images
36.1.3.1. Description Copy linkLink copied to clipboard!
36.1.3.2. Parameters Copy linkLink copied to clipboard!
36.1.3.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| timeout | - | null | ||
| query | - | null |
36.1.3.3. Return Type Copy linkLink copied to clipboard!
Stream result of v1ExportImageResponse.
36.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response.(streaming responses) | Stream result of v1ExportImageResponse. |
| 0 | An unexpected error response. |
36.1.3.6. Samples Copy linkLink copied to clipboard!
36.1.4. GetImage Copy linkLink copied to clipboard!
GET /v1/images/{id}
GetImage returns the image given its ID.
36.1.4.1. Description Copy linkLink copied to clipboard!
36.1.4.2. Parameters Copy linkLink copied to clipboard!
36.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
36.1.4.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| includeSnoozed | - | null | ||
| stripDescription | - | null |
36.1.4.3. Return Type Copy linkLink copied to clipboard!
36.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
36.1.4.6. Samples Copy linkLink copied to clipboard!
36.1.5. GetWatchedImages Copy linkLink copied to clipboard!
GET /v1/watchedimages
GetWatchedImages returns the list of image names that are currently being watched.
36.1.5.1. Description Copy linkLink copied to clipboard!
36.1.5.2. Parameters Copy linkLink copied to clipboard!
36.1.5.3. Return Type Copy linkLink copied to clipboard!
36.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
36.1.5.6. Samples Copy linkLink copied to clipboard!
36.1.6. InvalidateScanAndRegistryCaches Copy linkLink copied to clipboard!
GET /v1/images/cache/invalidate
InvalidateScanAndRegistryCaches removes the image metadata cache.
36.1.6.1. Description Copy linkLink copied to clipboard!
36.1.6.2. Parameters Copy linkLink copied to clipboard!
36.1.6.3. Return Type Copy linkLink copied to clipboard!
Object
36.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
36.1.6.6. Samples Copy linkLink copied to clipboard!
36.1.7. ListImages Copy linkLink copied to clipboard!
GET /v1/images
ListImages returns all the images that match the input query.
36.1.7.1. Description Copy linkLink copied to clipboard!
36.1.7.2. Parameters Copy linkLink copied to clipboard!
36.1.7.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
36.1.7.3. Return Type Copy linkLink copied to clipboard!
36.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
36.1.7.6. Samples Copy linkLink copied to clipboard!
36.1.8. ScanImage Copy linkLink copied to clipboard!
POST /v1/images/scan
ScanImage scans a single image and returns the result
36.1.8.1. Description Copy linkLink copied to clipboard!
36.1.8.2. Parameters Copy linkLink copied to clipboard!
36.1.8.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
36.1.8.3. Return Type Copy linkLink copied to clipboard!
36.1.8.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.8.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
36.1.8.6. Samples Copy linkLink copied to clipboard!
36.1.9. UnwatchImage Copy linkLink copied to clipboard!
DELETE /v1/watchedimages
UnwatchImage marks an image name to no longer be watched. It returns successfully if the image is no longer being watched after the call, irrespective of whether the image was already being watched.
36.1.9.1. Description Copy linkLink copied to clipboard!
36.1.9.2. Parameters Copy linkLink copied to clipboard!
36.1.9.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| name | The name of the image to unwatch. Should match the name of a previously watched image. | - | null |
36.1.9.3. Return Type Copy linkLink copied to clipboard!
Object
36.1.9.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.9.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
36.1.9.6. Samples Copy linkLink copied to clipboard!
36.1.10. WatchImage Copy linkLink copied to clipboard!
POST /v1/watchedimages
WatchImage marks an image name as to be watched.
36.1.10.1. Description Copy linkLink copied to clipboard!
36.1.10.2. Parameters Copy linkLink copied to clipboard!
36.1.10.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
36.1.10.3. Return Type Copy linkLink copied to clipboard!
36.1.10.4. Content Type Copy linkLink copied to clipboard!
- application/json
36.1.10.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |